    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.applet.Applet

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.Container
                       |
                       +----java.awt.Panel
                               |
                               +----java.applet.Applet

public class Applet
extends Panel

An applet is a small program that is intended not to be run on its own, but rather to be embedded inside another application.

The `Applet` class must be the superclass of any applet that is to be embedded in a Web page or viewed by the Java Applet Viewer. The `Applet` class provides a standard interface between applets and their environment.

##

Applet()

##

destroy()
  Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated.
getAppletContext()
  Determines this applet's context, which allows the applet to query and affect the environment in which it runs.
getAppletInfo()
  Returns information about this applet.
getAudioClip(URL)
  Returns the `AudioClip` object specified by the `URL` argument.
getAudioClip(URL, String)
  Returns the `AudioClip` object specified by the `URL` and `name` arguments.
getCodeBase()
  Gets the base URL.
getDocumentBase()
  Gets the document URL.
getImage(URL)
  Returns an `Image` object that can then be painted on the screen.
getImage(URL, String)
  Returns an `Image` object that can then be painted on the screen.
getLocale()
  Gets the Locale for the applet, if it has been set.
getParameter(String)
  Returns the value of the named parameter in the HTML tag.
getParameterInfo()
  Returns information about the parameters than are understood by this applet.
init()
  Called by the browser or applet viewer to inform this applet that it has been loaded into the system.
isActive()
  Determines if this applet is active.
play(URL)
  Plays the audio clip at the specified absolute URL.
play(URL, String)
  Plays the audio clip given the URL and a specifier that is relative to it.
resize(Dimension)
  Requests that this applet be resized.
resize(int, int)
  Requests that this applet be resized.
setStub(AppletStub)
  Sets this applet's stub.
showStatus(String)
  Requests that the argument string be displayed in the "status window".
start()
  Called by the browser or applet viewer to inform this applet that it should start its execution.
stop()
  Called by the browser or applet viewer to inform this applet that it should stop its execution.

##

Applet

     public Applet()

##

setStub

     public final void setStub(AppletStub stub)

  Sets this applet's stub. This is done automatically by the system.

  Parameters:
    stub - the new stub.

isActive

     public boolean isActive()

  Determines if this applet is active. An applet is marked active just before its `start` method is called. It becomes inactive immediately after its `stop` method is called.

  Returns:
    `true` if the applet is active; `false` otherwise.
  See Also:
    start, stop

getDocumentBase

     public URL getDocumentBase()

  Gets the document URL. This is the URL of the document in which the applet is embedded.

  Returns:
    the `URL` of the document that contains this applet.
  See Also:
    getCodeBase

getCodeBase

     public URL getCodeBase()

  Gets the base URL. This is the URL of the applet itself.

  Returns:
    the `URL` of this applet.
  See Also:
    getDocumentBase

getParameter

     public String getParameter(String name)

  Returns the value of the named parameter in the HTML tag. For example, if this applet is specified as
  `<applet code="Clock" width=50 height=50>
  <param name=Color value="blue">
  </applet>`

  then a call to `getParameter("Color")` returns the value `"blue"`.

  The `name` argument is case insensitive.

  Parameters:
    name - a parameter name.
  Returns:
    the value of the named parameter.

getAppletContext

     public AppletContext getAppletContext()

  Determines this applet's context, which allows the applet to query and affect the environment in which it runs.

  This environment of an applet represents the document that contains the applet.

  Returns:
    the applet's context.

resize

     public void resize(int width,
                        int height)

  Requests that this applet be resized.

  Parameters:
    width - the new requested width for the applet.
    height - the new requested height for the applet.
  Overrides:
    resize in class Component

resize

     public void resize(Dimension d)

  Requests that this applet be resized.

  Parameters:
    d - an object giving the new width and height.
  Overrides:
    resize in class Component

showStatus

     public void showStatus(String msg)

  Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

  Parameters:
    msg - a string to display in the status window.

getImage

     public Image getImage(URL url)

  Returns an `Image` object that can then be painted on the screen. The `url` that is passed as an argument must specify an absolute URL.

  This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

  Parameters:
    url - an absolute URL giving the location of the image.
  Returns:
    the image at the specified URL.
  See Also:
    Image

getImage

     public Image getImage(URL url,
                           String name)

  Returns an `Image` object that can then be painted on the screen. The `url` argument must specify an absolute URL. The `name` argument is a specifier that is relative to the `url` argument.

  This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

  Parameters:
    url - an absolute URL giving the base location of the image.
    name - the location of the image, relative to the `url` argument.
  Returns:
    the image at the specified URL.
  See Also:
    Image

getAudioClip

     public AudioClip getAudioClip(URL url)

  Returns the `AudioClip` object specified by the `URL` argument.

  This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

  Parameters:
    url - an absolute URL giving the location of the audio clip.
  Returns:
    the audio clip at the specified URL.
  See Also:
    AudioClip

getAudioClip

     public AudioClip getAudioClip(URL url,
                                   String name)

  Returns the `AudioClip` object specified by the `URL` and `name` arguments.

  This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

  Parameters:
    url - an absolute URL giving the base location of the audio clip.
    name - the location of the audio clip, relative to the `url` argument.
  Returns:
    the audio clip at the specified URL.
  See Also:
    AudioClip

getAppletInfo

     public String getAppletInfo()

  Returns information about this applet. An applet should override this method to return a `String` containing information about the author, version, and copyright of the applet.

  The implementation of this method provided by the `Applet` class returns `null`.

  Returns:
    a string containing information about the author, version, and copyright of the applet.

getLocale

     public Locale getLocale()

  Gets the Locale for the applet, if it has been set. If no Locale has been set, then the default Locale is returned.

  Returns:
    [Needs to be documented!]
  Overrides:
    getLocale in class Component

getParameterInfo

     public String[][] getParameterInfo()

  Returns information about the parameters than are understood by this applet. An applet should override this method to return an array of `Strings` describing these parameters.

  Each element of the array should be a set of three `Strings` containing the name, the type, and a description. For example:

  >      String pinfo[][] = {
  >     	 {"fps",    "1-10",    "frames per second"},
  >     	 {"repeat", "boolean", "repeat image loop"},
  >     	 {"imgs",   "url",     "images directory"}
  >      };

  The implementation of this method provided by the `Applet` class returns `null`.

  Returns:
    an array describing the parameters this applet looks for.

play

     public void play(URL url)

  Plays the audio clip at the specified absolute URL. Nothing happens if the audio clip cannot be found.

  Parameters:
    url - an absolute URL giving the location of the audio clip.

play

     public void play(URL url,
                      String name)

  Plays the audio clip given the URL and a specifier that is relative to it. Nothing happens if the audio clip cannot be found.

  Parameters:
    url - an absolute URL giving the base location of the audio clip.
    name - the location of the audio clip, relative to the `url` argument.

init

     public void init()

  Called by the browser or applet viewer to inform this applet that it has been loaded into the system. It is always called before the first time that the `start` method is called.

  A subclass of `Applet` should override this method if it has initialization to perform. For example, an applet with threads would use the `init` method to create the threads and the `destroy` method to kill them.

  The implementation of this method provided by the `Applet` class does nothing.

  See Also:
    destroy, start, stop

start

     public void start()

  Called by the browser or applet viewer to inform this applet that it should start its execution. It is called after the `init` method and each time the applet is revisited in a Web page.

  A subclass of `Applet` should override this method if it has any operation that it wants to perform each time the Web page containing it is visited. For example, an applet with animation might want to use the `start` method to resume animation, and the `stop` method to suspend the animation.

  The implementation of this method provided by the `Applet` class does nothing.

  See Also:
    destroy, init, stop

stop

     public void stop()

  Called by the browser or applet viewer to inform this applet that it should stop its execution. It is called when the Web page that contains this applet has been replaced by another page, and also just before the applet is to be destroyed.

  A subclass of `Applet` should override this method if it has any operation that it wants to perform each time the Web page containing it is no longer visible. For example, an applet with animation might want to use the `start` method to resume animation, and the `stop` method to suspend the animation.

  The implementation of this method provided by the `Applet` class does nothing.

  See Also:
    destroy, init

destroy

     public void destroy()

  Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated. The `stop` method will always be called before `destroy`.

  A subclass of `Applet` should override this method if it has any operation that it wants to perform before it is destroyed. For example, an applet with threads would use the `init` method to create the threads and the `destroy` method to kill them.

  The implementation of this method provided by the `Applet` class does nothing.

  See Also:
    init, start, stop

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.